Subject: git diff --numstat <branch> always shows dirty submodules

From: Gelonida N <[email-masked]>
Date: Sat, 12 Nov 2011 14:29:36 +0100

Hi,

I recently started using submodules and they behave mostly as I like to.

Normally I use diff --numstat <branch>
to check quickly whether I am aligned with another branch or not.

The (for me) annoying feature of submodules is, that they are always
reported to be different due to files, which are not under git.

I type git diff --numstat master
I get
1       1       mysubmodule

Now I check the differences with git diff master mysubmodule
diff --git a/mysubmodule b/mysubmodule
index 1382b73..f4f1f1d 160000
--- a/mysubmodule
+++ b/mysubmodule
@@ -1 +1 @@
-Subproject commit xxxxxxxxx
+Subproject commit xxxxxxxxx-dirty

So the only difference (which I wasn't interested in) is, that the
submodule is dirty.

Is there any quick way flag / helper script / . . .
to show differences between two branches without raising the fact, that
submodules are dirty?

>>From a user perspective I don't see why this is reported.
I am not being warned about dirty files in the top level repository